com.gemstone.gbjgci

## Class GbjGciException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.gemstone.gbjgci.GbjGciException

- All Implemented Interfaces:
    java.io.Serializable

      public class GbjGciException
      extends java.lang.RuntimeException

  GbjGciException provides the mechanism for passing errors occuring in the GemStone GCI and JNI layers up to java.

  In package GBJ, the class GbjException does not inherit from this class, but includes code to accept a GbjGciException as an argument and processes it further.

  Most of the fields in GbjGciException represent data passed from the GemStone GCI. Refer to appropriate GemStone documentation for information on these fields.

  The field "number" indicates a GCI error number. For non-GCI errors originating in the JNI, the GCI error 2318 (RT_ERR_GENERIC_ERROR) is used, and information about the non-GCI error contained in the message field.

  Version:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `argCount` Number of additional arguments associated with this error
    `long[]` | `args` List of additional arguments associated with this error
    `long` | `category` GS oop of the error dictionary categorizing this error
    `long` | `context` GS oop of the context GsProcess that the error occurred in
    `boolean` | `fatal` Boolean flag indicating if this is a fatal error or not
    `java.lang.String` | `message` Text message describing error
    `int` | `number` GCI error number.
    `java.lang.String` | `stackReport` Smalltalk stack or null

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GbjGciException()` Create an instance of GbjGciException
    `GbjGciException(int num, java.lang.String msg)` Create an instance of GbjGciException
    `GbjGciException(java.lang.String msg)` Create an instance of GbjGciException

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()` Return a composite of both the Exception and GCI error messages
    `void` | `print()` Utility/debug method for printing fields
    `void` | `printStackTrace()`
    `void` | `printStackTrace(java.io.PrintStream s)`
    `void` | `printStackTrace(java.io.PrintWriter s)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### number

          public int number

      GCI error number.
      2318/RT_ERR_GENERIC_ERROR used for non-GCI errors

    - #### message

          public java.lang.String message

      Text message describing error

    - #### category

          public long category

      GS oop of the error dictionary categorizing this error

    - #### context

          public long context

      GS oop of the context GsProcess that the error occurred in

    - #### fatal

          public boolean fatal

      Boolean flag indicating if this is a fatal error or not

    - #### argCount

          public int argCount

      Number of additional arguments associated with this error

    - #### args

          public long[] args

      List of additional arguments associated with this error

    - #### stackReport

          public java.lang.String stackReport

      Smalltalk stack or null

  - ### Constructor Detail

    - #### GbjGciException

          public GbjGciException()

      Create an instance of GbjGciException

    - #### GbjGciException

          public GbjGciException(java.lang.String msg)

      Create an instance of GbjGciException
      Parameters:
        `msg` - String

    - #### GbjGciException

          public GbjGciException(int num,
                                 java.lang.String msg)

      Create an instance of GbjGciException
      Parameters:
        `num` - int number of GS error
        `msg` - String text of error message

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Return a composite of both the Exception and GCI error messages
      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### print

          public void print()

      Utility/debug method for printing fields

    - #### printStackTrace

          public void printStackTrace()

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream s)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter s)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`